Newsletter

Returns the newsletter profile for the given email address.

DEPRECATED

Returns the newsletter profile for the given email address.

get
https://api-qual.migros.ch/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile

Query Parameters

emailstringrequired

The email address to search for.

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

clientstringrequired

Name of the client. One of ‘migros_ch’, ‘migipedia’.

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

NewsletterProfile

Xcampaign newsletter profile.

emailstringrequired
fieldsobject

Profile fields (such as email address, first name, last name, etc).

* Additional properties are allowed.
idintegerrequired
statusstringrequired
get/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile
 
200 application/json

Unsubscribes an email address from a newsletter.

DEPRECATED

Unsubscribes an email address from a newsletter.

delete
https://api-qual.migros.ch/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile/subscription

Query Parameters

emailstringrequired

The email address to unsubscribe.

Path Parameters

clientstringrequired

Name of the client. One of ‘migros_ch’, ‘migipedia’.

Response

200

Returned when successful

delete/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile/subscription
 
200

Updates an existing newsletter profile.

DEPRECATED

To get a full list of supported fields for a given client you can call /newsletter/clients/{clientName}.{_format}.

post
https://api-qual.migros.ch/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles

Path Parameters

clientstringrequired

Name of the client. One of ‘migros_ch’, ‘migipedia’.

Body

application/x-www-form-urlencoded
citystring
emailstringrequired

Email address of the profile to update.

first_namestring
genderstring
interests[]array[string]

Health interests

languagestring

Language the newsletter should be subscribed in.

last_namestring
migros_newsletter_idinteger

Internal newsletter used by Migros

salutationstring
usernamestring
zipinteger

Response

200

Returned when successful

post/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles

Body

{ "email": "email" }
 
200

Adds and subscribes a new profile by email address to a newsletter.

DEPRECATED

To get a full list of supported fields for a given client you can call /newsletter/clients/{clientName}.{_format}.

post
https://api-qual.migros.ch/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles/subscriptions

Path Parameters

clientstringrequired

Name of the client. One of ‘migros_ch’, ‘migipedia’.

Body

application/x-www-form-urlencoded
citystring
emailstringrequired

The email address to subscribe.

first_namestring
genderstring
interests[]array[string]

Health interests

languagestring

Language the newsletter should be subscribed in.

last_namestring
migros_newsletter_idinteger

Internal newsletter used by Migros

salutationstring
usernamestring
zipinteger

Response

200

Returned when successful

post/migros/customers/subscriptions/v8/newsletter/clients/{client}/profiles/subscriptions

Body

{ "email": "email" }
 
200

AbstractCollection

A generic collection of elements.